<?
define('PROTECTOR', 1);

$headmod = 'portal';//фикс. места

$textl='Портал';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
going();
zasad();
ryd();
place_okr();
place_zamok();
place_tower();

include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

switch($_GET[mod]){

default:
echo"<b>Города:</b><br/>";
$req = mysql_query("SELECT * FROM `portal` WHERE `incity` = '$udata[city]' and `clan` != '1'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<a href=\"portal.php?mod=go&amp;id=$mag[id]&amp;tip=city\">$mag[name]</a>[$mag[lvl] уровень] ($mag[money] монет)<br/>";
}
}else{
echo"Нет активных порталов<br/>";
}
if($udata[clan] != NULL){
echo"<b>Клановый Город:</b><br/>";
$req = mysql_query("SELECT * FROM `portal` WHERE `incity` = '$udata[city]' and `clan` = '1'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<a href=\"portal.php?mod=go&amp;id=$mag[id]&amp;tip=city\">$mag[name]</a>[$mag[lvl] уровень] ($mag[money] монет)<br/>";
}
}else{
echo"Нет активных порталов<br/>";
}}
//Вывод проездного




$req = mysql_query("SELECT * FROM `proezd` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
if($avto==1){
////////////////////////////
$aro = mysql_fetch_array($req);
echo"<b>Проездной:</b> ";

$aro[timeout]=$aro[time]-time();
if($aro[timeout]<60){
echo "осталось: $aro[timeout] сек.";
}
elseif($aro[timeout]>60 and $aro[timeout]<3600)
{
$aro[timeout]=round($aro[timeout]/60);
echo "осталось: $aro[timeout] мин.";
}
elseif($aro[timeout] > 3600){
$aro[timeout]=round($aro[timeout]/3600);
echo "осталось: $aro[timeout] час.";
}

}else{
//Проездной
echo"<a href='proezd.php'>Купить проездной</a>";}
break;

case 'go':
$req = mysql_query("SELECT * FROM `portal` WHERE `incity` = '$udata[city]' and id='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
$mag = mysql_fetch_array($req);
/////////////////////////////////////////
$asd = mysql_query(" SELECT * FROM proezd WHERE  `usr` = '$log' ");
$visi = mysql_fetch_array($asd);
if ($visi=NULL){
if($udata[money]<$mag[money]){
echo'Не хватает денег!<br/>';
}
}elseif($udata[lvl]<$mag[lvl]){
echo'Маленький уровень!<br/>';
}else{
switch($_GET[tip]){
default:
echo'Ошибка!Не существует такого портала!';
include($path.'files/down.php');exit;
break;

case 'city':
$req = mysql_query("SELECT * FROM `portal` WHERE `incity` = '$udata[city]' and id='$_GET[id]'");
$mag = mysql_fetch_array($req);
if($udata[lvl]<$mag[lvl]){
echo'Маленький уровень!<br/>';
include($path.'files/down.php');exit;
}
$asd = mysql_query(" SELECT * FROM proezd WHERE  `usr` = '$log' ");
$visi = mysql_fetch_array($asd);
if ($visi!=NULL){
mysql_query("UPDATE `users` SET `city`='$mag[city]' WHERE `usr` = '$log'");
echo"Вы прибыли в $mag[name], так как у вас есть проездной - Вы прибыли бесплатно!<br/>";
echo"<a href=\"gorod.php?\">Далее</a>";}
else{
if($udata[money]<$mag[money]){
echo'Не хватает денег!';
include($path.'files/down.php');
exit;}
$udata[money]=$udata[money]-$mag[money];
mysql_query("UPDATE `users` SET `money` = '$udata[money]',`city`='$mag[city]' WHERE `usr` = '$log'");
echo"Вы прибыли в $mag[name]!<br/>";
echo"<a href=\"gorod.php?\">Далее</a>";}
include($path.'files/down.php');exit;
break;
}
}}else{
echo"<b>Нет такого портала!</b><br/>";
}
echo"<a href=\"portal.php?\">Назад</a>";
break;
}
include($path.'files/down.php');
?>